/*
 * Copyright (C) 2013 Canonical, Ltd.
 *
 * Authors:
 *    Jussi Pakkanen <jussi.pakkanen@canonical.com>
 *
 * This program is free software: you can redistribute it and/or modify it
 * under the terms of the GNU General Public License version 3, as published
 * by the Free Software Foundation.
 *
 * This library is distributed in the hope that it will be useful, but WITHOUT
 * ANY WARRANTY; without even the implied warranty of MERCHANTABILITY or FITNESS
 * FOR A PARTICULAR PURPOSE. See the GNU General Public License for more
 * details.
 *
 * You should have received a copy of the GNU General Public License
 * along with this program.  If not, see <http://www.gnu.org/licenses/>.
 */

// All core definitions of Notify-Backend.

#ifndef NOTIFY_BACKEND_
#define NOTIFY_BACKEND_

typedef unsigned int NotificationID;

const unsigned int MAX_NOTIFICATIONS = 50;

#define DBUS_SERVICE_NAME "org.freedesktop.Notifications"
#define DBUS_INTERFACE    "org.freedesktop.Notifications"
#define DBUS_PATH         "/org/freedesktop/Notifications"

#define VALUE_HINT "value"
#define VALUE_TINT_HINT "x-canonical-value-bar-tint"
#define URGENCY_HINT "urgency"
#define SOUND_HINT "sound-file"
#define SUPPRESS_SOUND_HINT "suppress-sound"
#define SYNCH_HINT "x-canonical-private-synchronous"
#define SNAP_HINT "x-canonical-snap-decisions"
#define MENU_MODEL_HINT "x-canonical-private-menu-model"
#define INTERACTIVE_HINT "x-canonical-switch-to-application"
#define SECONDARY_ICON_HINT "x-canonical-secondary-icon"
#define NON_SHAPED_ICON_HINT "x-canonical-non-shaped-icon"
#define ICON_ONLY_HINT "x-canonical-private-icon-only"
#define AFFIRMATIVE_TINT_HINT "x-canonical-private-affirmative-tint"
#define REJECTION_TINT_HINT "x-canonical-private-rejection-tint"
#define TRUNCATION_HINT "x-canonical-truncation"
#define TIMEOUT_HINT "x-canonical-snap-decisions-timeout"
#define SWIPE_HINT "x-canonical-snap-decisions-swipe"

#endif
